' Coded by: Ratiborus
' WSHShell.Run "winsat formal -restart clean",0, True 
' winsat formal  evaluation of overall system performance; 
' winsat formal -v  evaluation of overall system performance, detailed output; 
' winsat formal -xml file.xml -  displays the test results in the specified xml-file; 
' winsat formal -restart never  with a retest, to assess only new components; 
' winsat formal -restart clean  with a retest, to clear history of assessments and a thorough check again.

x = MsgBox("Run a new assessment of system performance (Yes) or show the previous (No) ?", _
36, "Assessment of system performance")

if x = 6 then
MsgBox"After clicking on the button window closes" _
& Chr(13) & "and evaluation of system performance." _
& Chr(13) & "After completion of the test, data will be displayed" _
& Chr(13) & "about performance of your computer." _
& Chr(13) & "Evaluation of the performance takes 2 ~ 3 minutes." _
,0,"Assessment of system performance"

Set WshShell = WScript.CreateObject("WScript.Shell")
WSHShell.Run "winsat.exe formal -restart clean",2, True

end if

strComputer = "." 
Set objWMIService = GetObject("winmgmts:\\" & strComputer & "\root\CIMV2") 
Set colItems = objWMIService.ExecQuery( _
    "SELECT * FROM Win32_WinSAT",,48) 
For Each objItem in colItems 
Wscript.Echo "--------------------------------------" & vbNewLine & _
"            System performance:" & vbNewLine & _
"--------------------------------------" & vbNewLine & _
"Processor" & vbTab & vbTab  & vbTab & objItem.CPUScore & vbNewLine & _
"Memory (RAM)" & vbTab & vbTab & objItem.MemoryScore & vbNewLine & _
"Graphics" & vbTab & vbTab & vbTab & objItem.GraphicsScore & vbNewLine & _
"Graphics for games" & vbTab & vbTab & objItem.D3DScore & vbNewLine & _
"Hard Disk Drive" & vbTab  & vbTab & objItem.DiskScore & vbNewLine & _
"--------------------------------------" & vbNewLine & _
"Overall performance" & vbTab  & vbTab & objItem.WinSPRLevel
Next
